﻿<!DOCTYPE html>
<html>
<head>
 <title>고객정보 테이블 검색(페이지 제어)</title>
 <meta charset="UTF-8">
 <link rel="stylesheet" href="../../common/CSS/table_100.css">
</head>

<?php
// customer_retrieval_table_paging.php
// 고객테이블(customer) 고객정보 테이블 검색(페이지 제어)

// ************************************************************
// 상수와 변수 정의
define("LINE_PER_PAGE", 2);     // 1쪽당 출력 줄 수
$line_per_page = 2;             // 1쪽당 출력 줄 수(SQL질의문 사용)
define("PAGE_PER_BLOCK", 3);    // 블럭당 쪽 수
// ------------------------------------------------------------
// $nbr_of_row                  총 고객 수
// $nbr_of_page                 총 쪽 수

// $cur_page_no                 현재 쪽번호
// $start_pointer               DB 검색 시작포인터

// $nbr_of_block                현재 블럭번호
// $block_startpage_no          현재블럭 시작 쪽번호
// $block_endpage_no            현재블럭 끝 쪽번호
// $previous_block_start_pageno 이전블럭 시작 쪽번호
// $next_block_start_pageno     다음블럭 시작 쪽번호
// ************************************************************

// MySQL 서버와 데이터베이스 연결(connect server & database)
include "../../common/include/connect_login_db_check.php";

// SQL 질의어 처리(perform SQL query(DML))
// 고객테이블(customer) 검색 - 고객(튜플) 수, 쪽(페이지) 수
$sql = "SELECT *
        FROM   customer
        ORDER  BY cust_id ASC";
$result = mysqli_query($conn, $sql);

// 전체 튜플(고객) 수 계산
$nbr_of_row = mysqli_num_rows($result);

// 전체 쪽(페이지) 수 계산
$nbr_of_page = ceil($nbr_of_row / LINE_PER_PAGE);

// 현재 쪽(페이지) 번호 계산
if (empty($_GET["pageno"])) {
   $_GET["pageno"] = 1;
} elseif ($nbr_of_page < $_GET["pageno"]) {
         $_GET["pageno"] = $nbr_of_page;
}
$cur_page_no = $_GET["pageno"];

// DB 검색 시작 포인터(시작위치 ~ 갯수)
$start_pointer = ($cur_page_no -1) * LINE_PER_PAGE;

// SQL 질의어 처리(perform SQL query(DML))
// 고객테이블(customer) 검색
$query = "SELECT * 
          FROM   customer
          ORDER  BY cust_join_date DESC LIMIT $start_pointer, $line_per_page";
$result = mysqli_query($conn, $query) or die("고객테이블 검색 실패!!");

// 고객정보 테이블 검색(페이지 제어) 출력
?>

<body>
 <form name="customer_form_table">
  <table>
  <caption>고객정보 검색</caption>
  <caption style='text-align:right; font-size:15px;'>현재 고객 수
       <?= $nbr_of_row; ?>명&nbsp;(전체<?= number_format($nbr_of_page); ?>
       쪽 중&nbsp;현재<?= $cur_page_no; ?>쪽)</caption>
  <tr>
   <th>아이디</th>
   <th>비밀번호</th>
   <th>이름</th>
   <th>전화번호</th>
   <th>주소</th>
   <th>성별</th>
   <th>이메일</th>
   <th>가입일</th>
  </tr>

<?PHP
  while($customer = mysqli_fetch_array($result)) {   // 연관배열, 인덱스배열
?>

  <tr>
   <td><?PHP echo $customer["cust_id"]; ?></td>
   <td><?=$customer["cust_pw"]; ?></td>
   <td><?=$customer["cust_name"]; ?></td>
   <td><?=$customer["cust_tel_no"]; ?></td>
   <td><?=$customer["cust_addr"]; ?></td>
  <?PHP
   if ($customer["cust_gender"] == "M") {
      $customer["gender"] = "남자";
   } else {
      $customer["gender"] = "여자";
   }
  ?>
   <td><?=$customer["cust_gender"]."(".$customer['gender'].")"; ?></td>
   <td><?=$customer["cust_email"]; ?></td>
   <td><?=$customer["cust_join_date"]; ?></td>
  </tr>

<?PHP
  }

// ************************************************************
// 페이지 리스트 제어
 $nbr_of_block = ceil($cur_page_no / PAGE_PER_BLOCK);            // 현재 블럭번호
 $block_startpage_no = (($nbr_of_block -1) * PAGE_PER_BLOCK) + 1;// 현재블럭 시작 쪽 번호
 $block_endpage_no = ($block_startpage_no + PAGE_PER_BLOCK) - 1; // 현재블럭 끝 쪽 번호

 echo "<tr>
        <td colspan='8' style='text-align:center;'>";

 if ($nbr_of_block > 1) {                         // 이전 블럭의 시작 쪽 번호
    echo "&nbsp[<a href='./customer_retrieval_table_paging.php?pageno=1'>";
    echo        "맨 처음</a>]&nbsp";
    $previous_block_start_pageno = $block_startpage_no - PAGE_PER_BLOCK;
    echo "&nbsp[<a href='./customer_retrieval_table_paging.php?pageno=";
    echo         "$previous_block_start_pageno'>이전</a>]&nbsp";
 }

 for ($pgn = $block_startpage_no; $pgn <= $block_endpage_no; $pgn++) {
 
   if ($pgn > $nbr_of_page) {
      break;
   }

   if ($pgn == $cur_page_no) {
      echo "&nbsp".$pgn."&nbsp";
   } else {
      echo "&nbsp["."<a href='./customer_retrieval_table_paging.php?pageno=";
      echo      "$pgn'>$pgn</a>"."]&nbsp";
   }
 }

 if ($block_endpage_no < $nbr_of_page) {          // 다음 블럭의 시작 쪽 번호
    $next_block_start_pageno = $block_endpage_no + 1;
    echo "&nbsp[<a href='./customer_retrieval_table_paging.php?pageno=";
    echo        "$next_block_start_pageno'>다음</a>]&nbsp";
    echo        "&nbsp[<a href='./customer_retrieval_table_paging.php?pageno=";
    echo        "$nbr_of_page'>맨 끝</a>]&nbsp";
 }
// ************************************************************

 echo "
    </td>
   </tr>";

 echo "
  </table>
 </form>

</body>
</html>";

// 메모리 해제(free result set)
mysqli_free_result($result);

// 데이터베이스 연결 종료(close connection)
mysqli_close($conn);
?>

<input type="button" value=" 고객정보관리 "
             onClick="location.href = './customer_maintenance.php';">